SRC/zlacpy.f(3)

NAME
SRC/zlacpy.f

SYNOPSIS

  Functions/Subroutines
subroutine zlacpy (uplo, m, n, a, lda, b, ldb)
ZLACPY copies all or part of one two-dimensional array to another.

Function/Subroutine Documentation

  subroutine zlacpy (character uplo, integer m, integer n, complex*16, dimension( lda, * ) a, integer lda, complex*16, dimension( ldb, * ) b, integer ldb)

ZLACPY copies all or part of one two-dimensional array to another.

Purpose:

     ZLACPY copies all or part of a two-dimensional matrix A to another
     matrix B.

Parameters
    UPLO

              UPLO is CHARACTER*1
              Specifies the part of the matrix A to be copied to B.
              = 'U':      Upper triangular part
              = 'L':      Lower triangular part
              Otherwise:  All of the matrix A

    M

              M is INTEGER
              The number of rows of the matrix A.  M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix A.  N >= 0.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              The m by n matrix A.  If UPLO = 'U', only the upper trapezium
              is accessed; if UPLO = 'L', only the lower trapezium is
              accessed.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    B

              B is COMPLEX*16 array, dimension (LDB,N)
              On exit, B = A in the locations specified by UPLO.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,M).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 102 of file zlacpy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.